| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csShaderMetadata Struct Reference

Shader metadata. More...

`#include <ivideo/shader/shader.h>`

List of all members.

## Public Member Functions
| csShaderMetadata ()
| Constructor to null out parameters.
## Public Attributes
char * | description
| Descriptive string.
uint | numberOfLights
| Number of lights this shader can process in a pass.

## Detailed Description

Shader metadata.

This struct holds shader metadata such as how many lights per pass the shader supports, description etc that is not directly describing exactly what the shader does, but tells the rest of the engine how it should be used.

Definition at line 239 of file shader.h.

## Constructor & Destructor Documentation

csShaderMetadata::csShaderMetadata | ( |  | ) | `[inline]`

Constructor to null out parameters.

Definition at line 252 of file shader.h.

## Member Data Documentation

char* csShaderMetadata::description

Descriptive string.

Definition at line 242 of file shader.h.

uint csShaderMetadata::numberOfLights

Number of lights this shader can process in a pass.

0 means either that the shader does not do any lighting, or that it can provide any number of lights.

Definition at line 249 of file shader.h.

The documentation for this struct was generated from the following file:

- ivideo/shader/shader.h